path: /build/build/libpeas-dev-libs-1.26.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-lua -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 -test glade gtk prefix python python_single_target_python3_9 vala" emerge dev-libs/libpeas -pv -t && \
    USE="-lua -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 -test glade gtk prefix python python_single_target_python3_9 vala" emerge -j ${JOBS} --nodeps dev-libs/libpeas
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libpeas && luet-portage --dir /pkgdir/libpeas
    dev-libs/libpeas && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: libpeas
    version: 1.26.0+1
    category: dev-libs
    use_flags:
    - -lua
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - -test
    - glade
    - gtk
    - prefix
    - python
    - python_single_target_python3_9
    - vala
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A GObject plugins library
    uri:
    - https://developer.gnome.org/libpeas/stable/
    license: LGPL-2+
    buildtimestamp: 2023-09-14 08:41:34.664348446 +0000 UTC m=+177.400831892
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 app-arch/xz-utils test? ( !prefix?
        ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
      DEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/gobject-introspection-1.62.0:=
        glade? ( >=dev-util/glade-3.9.1:3.10 ) gtk? ( >=x11-libs/gtk+-3:3[introspection]
        ) lua? ( >=dev-lua/lgi-0.9.0 =dev-lang/lua-5.1*:0 ) python? ( python_single_target_python3_7?
        ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( >=dev-python/pygobject-3.2:3[python_targets_python3_7(-)]
        ) python_single_target_python3_9? ( >=dev-python/pygobject-3.2:3[python_targets_python3_9(-)]
        ) python_single_target_python3_8? ( >=dev-python/pygobject-3.2:3[python_targets_python3_8(-)]
        ) python_single_target_python3_10? ( >=dev-python/pygobject-3.2:3[python_targets_python3_10(-)]
        ) ) >=dev-util/gtk-doc-am-1.11 >=dev-util/intltool-0.40 virtual/pkgconfig
        dev-libs/gobject-introspection-common gnome-base/gnome-common dev-util/desktop-file-utils
        x11-misc/shared-mime-info'
      IUSE: doc demos +gtk glade +introspection lua +python vala python_single_target_python3_7
        python_single_target_python3_9 python_single_target_python3_8 python_single_target_python3_10
        python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python3_10 test
      RDEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/gobject-introspection-1.62.0:=
        glade? ( >=dev-util/glade-3.9.1:3.10 ) gtk? ( >=x11-libs/gtk+-3:3[introspection]
        ) lua? ( >=dev-lua/lgi-0.9.0 =dev-lang/lua-5.1*:0 ) python? ( python_single_target_python3_7?
        ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( >=dev-python/pygobject-3.2:3[python_targets_python3_7(-)]
        ) python_single_target_python3_9? ( >=dev-python/pygobject-3.2:3[python_targets_python3_9(-)]
        ) python_single_target_python3_8? ( >=dev-python/pygobject-3.2:3[python_targets_python3_8(-)]
        ) python_single_target_python3_10? ( >=dev-python/pygobject-3.2:3[python_targets_python3_10(-)]
        ) )'
      emerge.packages: dev-libs/libpeas
      kit: gnome-kit
      original.package.name: dev-libs/libpeas
      original.package.slot: "0"
      original.package.version: 1.26.0
    treedir: /build/packages
  package_dir: /pkgdir/libpeas
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 97fdfad60a7b829b24d7eaec6076de2853d1121a900ae63739edfb0fd4d7247c
compressiontype: zstd
files:
- usr/include/libpeas-1.0/libpeas/peas-activatable.h
- usr/include/libpeas-1.0/libpeas/peas-autocleanups.h
- usr/include/libpeas-1.0/libpeas/peas-engine.h
- usr/include/libpeas-1.0/libpeas/peas-extension-base.h
- usr/include/libpeas-1.0/libpeas/peas-extension-set.h
- usr/include/libpeas-1.0/libpeas/peas-extension.h
- usr/include/libpeas-1.0/libpeas/peas-object-module.h
- usr/include/libpeas-1.0/libpeas/peas-plugin-info.h
- usr/include/libpeas-1.0/libpeas/peas-version-macros.h
- usr/include/libpeas-1.0/libpeas/peas-version.h
- usr/include/libpeas-1.0/libpeas/peas.h
- usr/include/libpeas-1.0/libpeas-gtk/peas-gtk-autocleanups.h
- usr/include/libpeas-1.0/libpeas-gtk/peas-gtk-configurable.h
- usr/include/libpeas-1.0/libpeas-gtk/peas-gtk-plugin-manager-view.h
- usr/include/libpeas-1.0/libpeas-gtk/peas-gtk-plugin-manager.h
- usr/include/libpeas-1.0/libpeas-gtk/peas-gtk.h
- usr/lib64/girepository-1.0/Peas-1.0.typelib
- usr/lib64/girepository-1.0/PeasGtk-1.0.typelib
- usr/lib64/libpeas-1.0/loaders/libpython3loader.so
- usr/lib64/libpeas-1.0.so
- usr/lib64/libpeas-1.0.so.0
- usr/lib64/libpeas-1.0.so.0.2600.0
- usr/lib64/libpeas-gtk-1.0.so
- usr/lib64/libpeas-gtk-1.0.so.0
- usr/lib64/libpeas-gtk-1.0.so.0.2600.0
- usr/lib64/pkgconfig/libpeas-1.0.pc
- usr/lib64/pkgconfig/libpeas-gtk-1.0.pc
- usr/share/doc/libpeas-1.26.0/AUTHORS.bz2
- usr/share/doc/libpeas-1.26.0/NEWS.bz2
- usr/share/doc/libpeas-1.26.0/README.bz2
- usr/share/gir-1.0/Peas-1.0.gir
- usr/share/gir-1.0/PeasGtk-1.0.gir
- usr/share/glade/catalogs/libpeas-gtk.xml
- usr/share/icons/hicolor/16x16/actions/libpeas-plugin.png
- usr/share/icons/hicolor/22x22/actions/libpeas-plugin.png
- usr/share/icons/hicolor/32x32/actions/libpeas-plugin.png
- usr/share/icons/hicolor/scalable/actions/libpeas-plugin.svg
- usr/share/locale/an/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ar/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/as/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ast/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/be/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/bg/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/bn_IN/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/bs/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ca/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/cs/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/da/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/de/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/el/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/en_GB/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/eo/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/es/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/et/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/eu/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/fa/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/fi/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/fr/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/fur/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/gl/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/gu/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/he/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/hi/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/hr/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/hu/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/id/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/is/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/it/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ja/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/kk/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/kn/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ko/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/lt/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/lv/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ml/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/mr/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ms/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/nb/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/nds/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ne/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/nl/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/oc/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/or/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/pa/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/pl/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/pt/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/pt_BR/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ro/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ru/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/sk/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/sl/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/sr/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/sr@latin/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/sv/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ta/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/te/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/tg/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/th/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/tr/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/ug/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/uk/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/vi/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/zh_CN/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/zh_HK/LC_MESSAGES/libpeas-1.0.mo
- usr/share/locale/zh_TW/LC_MESSAGES/libpeas-1.0.mo
- var/db/pkg/dev-libs/libpeas-1.26.0/BDEPEND
- var/db/pkg/dev-libs/libpeas-1.26.0/BUILD_TIME
- var/db/pkg/dev-libs/libpeas-1.26.0/CATEGORY
- var/db/pkg/dev-libs/libpeas-1.26.0/CBUILD
- var/db/pkg/dev-libs/libpeas-1.26.0/CFLAGS
- var/db/pkg/dev-libs/libpeas-1.26.0/CHOST
- var/db/pkg/dev-libs/libpeas-1.26.0/CONTENTS
- var/db/pkg/dev-libs/libpeas-1.26.0/COUNTER
- var/db/pkg/dev-libs/libpeas-1.26.0/CXXFLAGS
- var/db/pkg/dev-libs/libpeas-1.26.0/DEFINED_PHASES
- var/db/pkg/dev-libs/libpeas-1.26.0/DEPEND
- var/db/pkg/dev-libs/libpeas-1.26.0/DESCRIPTION
- var/db/pkg/dev-libs/libpeas-1.26.0/EAPI
- var/db/pkg/dev-libs/libpeas-1.26.0/FEATURES
- var/db/pkg/dev-libs/libpeas-1.26.0/HOMEPAGE
- var/db/pkg/dev-libs/libpeas-1.26.0/INHERITED
- var/db/pkg/dev-libs/libpeas-1.26.0/IUSE
- var/db/pkg/dev-libs/libpeas-1.26.0/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libpeas-1.26.0/KEYWORDS
- var/db/pkg/dev-libs/libpeas-1.26.0/LDFLAGS
- var/db/pkg/dev-libs/libpeas-1.26.0/LICENSE
- var/db/pkg/dev-libs/libpeas-1.26.0/NEEDED
- var/db/pkg/dev-libs/libpeas-1.26.0/PF
- var/db/pkg/dev-libs/libpeas-1.26.0/PROVIDES
- var/db/pkg/dev-libs/libpeas-1.26.0/RDEPEND
- var/db/pkg/dev-libs/libpeas-1.26.0/REQUIRES
- var/db/pkg/dev-libs/libpeas-1.26.0/SIZE
- var/db/pkg/dev-libs/libpeas-1.26.0/SLOT
- var/db/pkg/dev-libs/libpeas-1.26.0/USE
- var/db/pkg/dev-libs/libpeas-1.26.0/environment.bz2
- var/db/pkg/dev-libs/libpeas-1.26.0/libpeas-1.26.0.ebuild
- var/db/pkg/dev-libs/libpeas-1.26.0/repository
package_cacheimage: ""
runtime:
  name: libpeas
  version: 1.26.0+1
  category: dev-libs
  use_flags:
  - -lua
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - -test
  - glade
  - gtk
  - prefix
  - python
  - python_single_target_python3_9
  - vala
  requires:
  - name: glade
    version: '>=0'
    category: dev-util-3.10
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A GObject plugins library
  uri:
  - https://developer.gnome.org/libpeas/stable/
  license: LGPL-2+
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 app-arch/xz-utils test? ( !prefix?
      ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
    DEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/gobject-introspection-1.62.0:= glade?
      ( >=dev-util/glade-3.9.1:3.10 ) gtk? ( >=x11-libs/gtk+-3:3[introspection] )
      lua? ( >=dev-lua/lgi-0.9.0 =dev-lang/lua-5.1*:0 ) python? ( python_single_target_python3_7?
      ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
      python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( >=dev-python/pygobject-3.2:3[python_targets_python3_7(-)]
      ) python_single_target_python3_9? ( >=dev-python/pygobject-3.2:3[python_targets_python3_9(-)]
      ) python_single_target_python3_8? ( >=dev-python/pygobject-3.2:3[python_targets_python3_8(-)]
      ) python_single_target_python3_10? ( >=dev-python/pygobject-3.2:3[python_targets_python3_10(-)]
      ) ) >=dev-util/gtk-doc-am-1.11 >=dev-util/intltool-0.40 virtual/pkgconfig dev-libs/gobject-introspection-common
      gnome-base/gnome-common dev-util/desktop-file-utils x11-misc/shared-mime-info'
    IUSE: doc demos +gtk glade +introspection lua +python vala python_single_target_python3_7
      python_single_target_python3_9 python_single_target_python3_8 python_single_target_python3_10
      python_targets_python3_7 python_targets_python3_9 python_targets_python3_8 python_targets_python3_10
      test
    RDEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/gobject-introspection-1.62.0:= glade?
      ( >=dev-util/glade-3.9.1:3.10 ) gtk? ( >=x11-libs/gtk+-3:3[introspection] )
      lua? ( >=dev-lua/lgi-0.9.0 =dev-lang/lua-5.1*:0 ) python? ( python_single_target_python3_7?
      ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
      python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( >=dev-python/pygobject-3.2:3[python_targets_python3_7(-)]
      ) python_single_target_python3_9? ( >=dev-python/pygobject-3.2:3[python_targets_python3_9(-)]
      ) python_single_target_python3_8? ( >=dev-python/pygobject-3.2:3[python_targets_python3_8(-)]
      ) python_single_target_python3_10? ( >=dev-python/pygobject-3.2:3[python_targets_python3_10(-)]
      ) )'
    emerge.packages: dev-libs/libpeas
    kit: gnome-kit
    original.package.name: dev-libs/libpeas
    original.package.slot: "0"
    original.package.version: 1.26.0
